[Risolto] Blocco aggiornamenti a seguito installazione Java

Problemi riscontrati durante l'installazione di Ubuntu, degli aggiornamenti e degli avanzamenti del sistema.
the_105_zoo
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 462
Iscrizione: domenica 1 luglio 2012, 19:08
Desktop: ubuntu
Distribuzione: Ubuntu 20.04.2 LTS 64bit

[Risolto] Blocco aggiornamenti a seguito installazione Java

Messaggio da the_105_zoo »

Buongiorno Forum,

Per far funzionare un applicazione son stato costretto qualche giorno fa ad installare Java. Fatto tutto da sito ufficiale e sembra essere andato tutto liscio, ma da quel momento mi appare iconcina in alto col simbolo di divieto e mi compare il messaggio seguente quando provo ad aggiornare col gestore pacchetti:

Il sistema pacchetti è danneggiato:
Verificare se sono in uso repository di terze parti. Qualora così fosse, disabilitarli, poiché questi sono talvolta causa di problemi.
Inoltre eseguire il seguente comando in un terminale: apt-get install -f
Transaction failed: Il sistema di pacchetti è danneggiato
I seguenti pacchetti presentano dipendenze non soddisfatte:

jdk-17: Depends: libc6-i386 ma non è installato
Depends: libc6-x32 ma non è installato



Probabilmente c'è qualche conflitto
Ultima modifica di the_105_zoo il domenica 29 maggio 2022, 21:45, modificato 2 volte in totale.
Avatar utente
DoctorStrange
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 2401
Iscrizione: mercoledì 14 ottobre 2015, 9:33
Desktop: Gnome3
Distribuzione: Ubuntu 18.04 Bionic Beaver
Sesso: Maschile
Località: Roma, Italia

Re: Blocco aggiornamenti a seguito installazione Java

Messaggio da DoctorStrange »

Devi installare la dipendenza richiesta: libc6. E' la libreria standard di linux, la GNU libC, in versione 6. Su internet troverai facilmente come installare questo pacchetto.

Oltre a questo: per quale motivo hai scelto proprio java 17? Quale applicazioni stai cercando di usare che richiede java?
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
Messaggi: 22720
Iscrizione: domenica 21 maggio 2006, 10:51
Desktop: Gnome
Distribuzione: Ubuntu 22.04 e 22.10 (dev) x64
Sesso: Maschile
Località: Formigine (MO) | Accecante Asceta

Re: Blocco aggiornamenti a seguito installazione Java

Messaggio da trekfan1 »

Codice: Seleziona tutto

sudo apt install libc6:i386
the_105_zoo
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 462
Iscrizione: domenica 1 luglio 2012, 19:08
Desktop: ubuntu
Distribuzione: Ubuntu 20.04.2 LTS 64bit

Re: Blocco aggiornamenti a seguito installazione Java

Messaggio da the_105_zoo »

Grazie, sto provando ma ancora non ci siamo

Codice: Seleziona tutto

edoardo@edoardo-Intel:~$ sudo apt install libc6:i386
[sudo] password di edoardo: 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze... Fatto
Lettura informazioni sullo stato... Fatto   
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 jdk-17 : Dipende: libc6-i386 ma non sta per essere installato
          Dipende: libc6-x32 ma non sta per essere installato
 libc6:i386 : Dipende: libgcc-s1:i386 ma non sta per essere installato
              Dipende: libcrypt1:i386 (>= 1:4.4.10-10ubuntu4) ma non sta per essere installato
              Raccomanda: libidn2-0:i386 (>= 2.0.5~) ma non sta per essere installato
              Raccomanda: libnss-nis:i386 ma non sta per essere installato
              Raccomanda: libnss-nisplus:i386 ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
edoardo@edoardo-Intel:~$ sudo apt install libc6-i386
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze... Fatto
Lettura informazioni sullo stato... Fatto   
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 jdk-17 : Dipende: libc6-x32 ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
edoardo@edoardo-Intel:~$ sudo apt install libc6-x32
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze... Fatto
Lettura informazioni sullo stato... Fatto   
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 jdk-17 : Dipende: libc6-i386 ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
DoctorStrange ha scritto:
venerdì 20 maggio 2022, 18:13
Oltre a questo: per quale motivo hai scelto proprio java 17? Quale applicazioni stai cercando di usare che richiede java?
Lo richiede l'applicazione della banca....ma funziona così male che alla fine non credo la userò
Avatar utente
neolight69
Prode Principiante
Messaggi: 33
Iscrizione: lunedì 19 giugno 2006, 11:06
Desktop: gnome-shell
Distribuzione: Ubuntu 22.04 i686
Contatti:

Re: Blocco aggiornamenti a seguito installazione Java

Messaggio da neolight69 »

The terminal is your friend, read it:

Codice: Seleziona tutto

È utile eseguire "apt --fix-broken install" per correggere ciò.
hai provato il comando suggerito per vedere se risolve?
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
Messaggi: 22720
Iscrizione: domenica 21 maggio 2006, 10:51
Desktop: Gnome
Distribuzione: Ubuntu 22.04 e 22.10 (dev) x64
Sesso: Maschile
Località: Formigine (MO) | Accecante Asceta

Re: Blocco aggiornamenti a seguito installazione Java

Messaggio da trekfan1 »

Prova ad installare la openjdk presente nei repo
the_105_zoo
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 462
Iscrizione: domenica 1 luglio 2012, 19:08
Desktop: ubuntu
Distribuzione: Ubuntu 20.04.2 LTS 64bit

Re: Blocco aggiornamenti a seguito installazione Java

Messaggio da the_105_zoo »

neolight69 ha scritto:
martedì 24 maggio 2022, 9:47
The terminal is your friend, read it:

Codice: Seleziona tutto

È utile eseguire "apt --fix-broken install" per correggere ciò.
hai provato il comando suggerito per vedere se risolve?

Codice: Seleziona tutto

edoardo@edoardo-Intel:~$ sudo apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze... Fatto
Lettura informazioni sullo stato... Fatto   
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libc6-i386 libc6-x32
I seguenti pacchetti NUOVI saranno installati:
  libc6-i386 libc6-x32
0 aggiornati, 2 installati, 0 da rimuovere e 88 non aggiornati.
1 non completamente installati o rimossi.
È necessario scaricare 5.815 kB di archivi.
Dopo quest'operazione, verranno occupati 25,4 MB di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 http://it.archive.ubuntu.com/ubuntu jammy/main amd64 libc6-i386 amd64 2.35-0ubuntu3 [2.838 kB]
Scaricamento di:2 http://it.archive.ubuntu.com/ubuntu jammy/main amd64 libc6-x32 amd64 2.35-0ubuntu3 [2.978 kB]
Recuperati 5.815 kB in 4s (1.585 kB/s) 
Selezionato il pacchetto libc6-i386 non precedentemente selezionato.
(Lettura del database... 212455 file e directory attualmente installati.)
Preparativi per estrarre .../libc6-i386_2.35-0ubuntu3_amd64.deb...
Estrazione di libc6-i386 (2.35-0ubuntu3)...
Selezionato il pacchetto libc6-x32 non precedentemente selezionato.
Preparativi per estrarre .../libc6-x32_2.35-0ubuntu3_amd64.deb...
Estrazione di libc6-x32 (2.35-0ubuntu3)...
Configurazione di libc6-x32 (2.35-0ubuntu3)...
Configurazione di libc6-i386 (2.35-0ubuntu3)...
Configurazione di jdk-17 (17.0.3.1-ga)...
Elaborazione dei trigger per libc-bin (2.35-0ubuntu3)...
Hai ragione....è che sono rimasto col tarlo di non seguire quanto dice il terminale perchè una volta lo feci e mi si impiantò tutto :D

Grazie
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
Messaggi: 22720
Iscrizione: domenica 21 maggio 2006, 10:51
Desktop: Gnome
Distribuzione: Ubuntu 22.04 e 22.10 (dev) x64
Sesso: Maschile
Località: Formigine (MO) | Accecante Asceta

Re: [RISOLTO] Blocco aggiornamenti a seguito installazione Java

Messaggio da trekfan1 »

Il [Risolto] va messo evitando il tutto maiuscolo, correggi, grazie :)
Scrivi risposta

Ritorna a “Installazione e aggiornamento del sistema operativo”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 5 ospiti